Eclipse4.6,MacOS10の環境にて, Lombokを使用する場合,,, <br> eclipse等のIDEではpluginを直接インストールすることと, アプリケーション実行時には直接必要ないので,成果物に含まれないようmavenやgradleのスコープに気をつける. https://stackoverflow.com/questions/30731084/provided-dependency-in-gradle ここがわかりやすい https://www.coppermine.jp/docs/notepad/2014/01/lombok.html <br> mavenの場合は`provided`スコープ ~~~html <dependencies> <dependency> <groupId>org.projectlombok</groupId> <artifactId>lombok</artifactId> <version>1.18.8</version> <scope>provided</scope> </dependency> </dependencies> ~~~ gradleは`compileOnly` ~~~sh compileOnly 'org.projectlombok:lombok:1.18.8' ~~~
2019/10/28 11:40:34

コメント (0)

あなたもコメントしてみませんか

アカウント新規作成(無料)

既にアカウントを持っている方は ログイン